/// <reference types="react" />
declare type IndexField = {
    name: string;
    type: string;
};
declare type CreateIndexFormProps = {
    fields: IndexField[];
    newIndexField: string | null;
    schemaFields: string[];
    isUnique: boolean;
    isSparse: boolean;
    useIndexName: boolean;
    useTtl: boolean;
    usePartialFilterExpression: boolean;
    useCustomCollation: boolean;
    useWildcardProjection: boolean;
    useColumnstoreProjection: boolean;
    name: string;
    ttl?: string;
    partialFilterExpression?: string;
    wildcardProjection: string;
    collationString?: string;
    columnstoreProjection: string;
    serverVersion: string;
    toggleIsUnique: (isUnique: boolean) => void;
    toggleIsSparse: (isSparse: boolean) => void;
    toggleUseIndexName: (useIndexName: boolean) => void;
    toggleUseTtl: (useTtl: boolean) => void;
    toggleUsePartialFilterExpression: (usePartialFilterExpression: boolean) => void;
    toggleUseWildcardProjection: (useWildcardProjection: boolean) => void;
    toggleUseCustomCollation: (useCustomCollation: boolean) => void;
    toggleUseColumnstoreProjection: (useColumnstoreProjection: boolean) => void;
    nameChanged: (name: string) => void;
    ttlChanged: (ttl: string) => void;
    partialFilterExpressionChanged: (partialFilterExpression: string) => void;
    wildcardProjectionChanged: (wildcardProjection: string) => void;
    collationStringChanged: (collationString: string) => void;
    columnstoreProjectionChanged: (columnstoreProjection: string) => void;
    updateFieldName: (idx: number, name: string) => void;
    updateFieldType: (idx: number, fType: string) => void;
    addField: () => void;
    removeField: (idx: number) => void;
    createNewIndexField: (newField: string) => void;
};
declare function CreateIndexForm({ fields, newIndexField, schemaFields, isUnique, isSparse, useIndexName, useTtl, usePartialFilterExpression, useCustomCollation, useWildcardProjection, useColumnstoreProjection, name, ttl, partialFilterExpression, wildcardProjection, collationString, columnstoreProjection, serverVersion, toggleIsUnique, toggleIsSparse, toggleUseIndexName, toggleUseTtl, toggleUsePartialFilterExpression, toggleUseWildcardProjection, toggleUseCustomCollation, toggleUseColumnstoreProjection, nameChanged, ttlChanged, partialFilterExpressionChanged, wildcardProjectionChanged, collationStringChanged, columnstoreProjectionChanged, updateFieldName, updateFieldType, addField, removeField, createNewIndexField, }: CreateIndexFormProps): JSX.Element;
export { CreateIndexForm };
//# sourceMappingURL=create-index-form.d.ts.map