import type { AnyAction } from 'redux';
import type { CreateIndexSpec } from './create-index';
import type { IndexFieldsDefinition } from './indexes';
export declare const IN_PROGRESS_INDEXES_ADDED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_ADDED";
export declare const IN_PROGRESS_INDEXES_REMOVED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_REMOVED";
export declare const IN_PROGRESS_INDEXES_FAILED = "indexes/in-progress-indexes/IN_PROGRESS_INDEXES_FAILED";
export declare type InProgressIndex = {
    id: string;
    status: 'inprogress' | 'failed';
    key: CreateIndexSpec;
    fields: IndexFieldsDefinition[];
    name: string;
    ns: string;
    size: number;
    relativeSize: number;
    usageCount: number;
    error?: string;
};
export declare const INITIAL_STATE: never[];
export default function reducer(state: never[] | undefined, action: AnyAction): any[];
export declare const inProgressIndexAdded: (inProgressIndex: InProgressIndex) => {
    type: string;
    inProgressIndex: InProgressIndex;
};
export declare const inProgressIndexRemoved: (inProgressIndexId: string) => {
    type: string;
    inProgressIndexId: string;
};
export declare const inProgressIndexFailed: ({ inProgressIndexId, error, }: {
    inProgressIndexId: string;
    error: string;
}) => {
    type: string;
    inProgressIndexId: string;
    error: string;
};
//# sourceMappingURL=in-progress-indexes.d.ts.map